%global commit e0836e052aad7f58d958459cfbcbff87826f0e45
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		urdfdom
Version:	0.2.9
Release:	1%{?dist}
Summary:	U-Robot Description Format Document Object Model

Group:		Development/Libraries
License:	BSD
URL:		http://ros.org/wiki/urdf
Source0:	https://github.com/ros/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	urdfdom-headers-devel
BuildRequires:	console-bridge-devel
BuildRequires:	tinyxml-devel

%description
The URDF (U-Robot Description Format) library
provides core data structures and a simple XML parser
for populating the class data structures from an URDF file

%package        devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -qn %{name}-%{commit}
# Disable automatic installation of python bindings
sed -i 's/add_subdirectory(urdf_parser_py)//' CMakeLists.txt

%build
%cmake . -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_LIBDIR=%{_lib }
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc LICENSE
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/%{name}

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/urdf_parser

%changelog
* Sat Oct 19 2013 Rich Mattes <richmattes@gmail.com> - 0.2.9-1
- Update to release 0.2.9
- Remove upstreamed patches

* Wed Aug 21 2013 Rich Mattes <richmattes@gmail.com> - 0.2.8-2
- Backport upstream SONAME patch
- Add ldconfig post and postun

* Mon Aug 19 2013 Rich Mattes <richmattes@gmail.com> - 0.2.8-1
- Update to release 0.2.8
- Change upstream to github

* Tue Mar 12 2013 Rich Mattes <richmattes@gmail.com> - 0.2.7-1
- Update to release 0.2.7

* Tue Oct 16 2012 Rich Mattes <richmattes@gmail.com> - 0.2.3-1
- Initial package
